using System;
using System.Data;
using System.Data.SqlClient;
using System.Web;
using System.IO;
using System.Collections;
using System.Text.RegularExpressions;
using System.Text;

namespace UUN
{
    /// <summary>
    /// 编译Club/Collection_Edit.aspx文件
    /// </summary>
    public class 编译扩展_Club_Collection_Edit : 编译扩展接口
    {
        private SqlConnection 连接;
        private HttpContext HC;
        private 编译器 编译器;

        public 编译扩展_Club_Collection_Edit(SqlConnection 连接, HttpContext HC, 编译器 编译器)
        {
            this.连接 = 连接;
            this.HC = HC;
            this.编译器 = 编译器;
        }

        #region 编译扩展接口 成员

        public string 开始执行代码()
        {
            编译器.方法库 += @"
	private int ID;
	private String 返回地址;
	private String 标题;
	private String 地址;
	private String 随机值;
	private void 初始化信息()
	{
		ID=Convert.ToInt32(Request.QueryString[""ID""]);
		返回地址=Request.QueryString[""rurl""];
		随机值=常用.随机字符(8);

		Hashtable 收藏=常用.SQL_获取(new SqlCommand(""SELECT [标题],[地址] FROM [""+程序.数据表前缀+""社区_收藏] WHERE [用户ID]=""+访问.用户[""ID""]+"" AND [ID]=""+ID,访问.连接));
		if(收藏==null)
			throw new Exception(""收藏不存在"");

		标题=收藏[""标题""].ToString();
		地址=收藏[""地址""].ToString();
	}
";
            return @"
		访问.验证会员();
		初始化信息();
";
        }

        public string 编译公共标签(string 代码)
        {
            switch (代码)
            {
                case "标题":
                    return @"
		返回值.Append(Server.HtmlEncode(标题));
";
                case "地址":
                    return @"
		返回值.Append(Server.HtmlEncode(地址));
";
                case "随机值":
                    return @"
		返回值.Append(随机值);
";
                case "返回地址":
                    return @"
		返回值.Append(Server.HtmlEncode(返回地址));
";
                case "ID":
                    return @"
		返回值.Append(ID);
";
                default:
                    return "";
            }
        }

        public string 编译模板方法(string 方法名称, string[] 属性数组)
        {
            return "";
        }

        public string 结束执行代码()
        {
            return "";
        }

        #endregion
    }
}